JavaScript/jQuery Chat Methods

beginUpdate()

Postpones rendering that can negatively affect performance until the endUpdate() method is called.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

defaultOptions(rule)

Specifies the device-dependent default configuration properties for this component.

Parameters:
rule:

Object

The component's default device properties.

Object structure:
Name Type Description
device

Device

|

Function

Device parameters.
When you specify a function, get information about the current device from the argument. Return true if the properties should be applied to the device.

options

Object

Options to be applied.

defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the Chat UI component in an application executed on the desktop.

JavaScript
  • DevExpress.ui.dxChat.defaultOptions({
  • device: { deviceType: "desktop" },
  • options: {
  • // Here go the Chat properties
  • }
  • });

You can also set rules for multiple device types:

JavaScript
  • const devicesConfig = [
  • { deviceType: 'desktop' },
  • { deviceType: 'tablet' },
  • { deviceType: 'phone' },
  • ];
  •  
  • devicesConfig.forEach(deviceConfig => {
  • DevExpress.ui.dxChat.defaultOptions({
  • device: deviceConfig,
  • options: {
  • // Here go the Chat properties
  • }
  • });
  • });

dispose()

Disposes of all the resources allocated to the Chat instance.

After calling this method, remove the DOM element associated with the UI component:

JavaScript
  • $("#myChat").dxChat("dispose");
  • $("#myChat").remove();

element()

Gets the root UI component element.

Return Value:

HTMLElement | jQuery

An HTML element or a jQuery element when you use jQuery.

See Also

endUpdate()

Refreshes the UI component after a call of the beginUpdate() method.

The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.

See Also

focus()

Sets focus to the Chat's input element.

See Also

getDataSource()

Gets the DataSource instance.

Return Value:

DataSource

The DataSource instance.

NOTE
This method returns the DataSource instance even if the UI component's dataSource property was given a simple array.

View on GitHub

See Also

getInstance(element)

Gets the instance of a UI component found using its DOM node.

Parameters:
element:

Element

|

jQuery

The UI component's container.

Return Value:

Object

The UI component's instance.

getInstance is a static method that the UI component class supports. The following code demonstrates how to get the Chat instance found in an element with the myChat ID:

  • // Modular approach
  • import Chat from "devextreme/ui/chat";
  • ...
  • let element = document.getElementById("myChat");
  • let instance = Chat.getInstance(element) as Chat;
  •  
  • // Non-modular approach
  • let element = document.getElementById("myChat");
  • let instance = DevExpress.ui.dxChat.getInstance(element);
See Also

instance()

Gets the UI component's instance. Use it to access other methods of the UI component.

Return Value: Chat

This UI component's instance.

See Also

off(eventName)

Detaches all event handlers from a single event.

Parameters:
eventName:

String

The event's name.

Return Value: Chat

The object for which this method is called.

See Also

off(eventName, eventHandler)

Detaches a particular event handler from a single event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value: Chat

The object for which this method is called.

See Also

on(eventName, eventHandler)

Subscribes to an event.

Parameters:
eventName:

String

The event's name.

eventHandler:

Function

The event's handler.

Return Value: Chat

The object for which this method is called.

Use this method to subscribe to one of the events listed in the Events section.

See Also

on(events)

Subscribes to events.

Parameters:
events:

Object

Events with their handlers: { "eventName1": handler1, "eventName2": handler2, ...}

Return Value: Chat

The object for which this method is called.

Use this method to subscribe to several events with one method call. Available events are listed in the Events section.

See Also

option()

Return Value:

Object

The UI component's properties.

option(optionName)

Gets the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

Return Value: any

This property's value.

option(optionName, optionValue)

Updates the value of a single property.

Parameters:
optionName:

String

The property's name or full path.

optionValue: any

This property's new value.

option(options)

Updates the values of several properties.

Parameters:
options:

Object

Options with their new values.

registerKeyHandler(key, handler)

Registers a handler to be executed when a user presses a specific key.

Parameters:
key:

String

A key.

handler:

Function

A handler. Accepts the keydown event as the argument. It is a EventObject or a jQuery.Event when you use jQuery.

The key argument accepts one of the following values:

  • "backspace"
  • "tab"
  • "enter"
  • "escape"
  • "pageUp"
  • "pageDown"
  • "end"
  • "home"
  • "leftArrow"
  • "upArrow"
  • "rightArrow"
  • "downArrow"
  • "del"
  • "space"
  • "F"
  • "A"
  • "asterisk"
  • "minus"

A custom handler for a key cancels the default handler for this key.

See Also

renderMessage(message)

Renders a new message.

Parameters:
message:

Message

A message to be rendered.

This method is the primary way to render a new message in jQuery:

index.js
  • $(() => {
  • const chat = $("#chat").dxChat({
  • onMessageEntered: (e) => {
  • e.component.renderMessage(e.message);
  • },
  • }).dxChat('instance');
  • });

View Demo

repaint()

Renders the component again without reloading data. Use the method to update the component's markup and appearance dynamically.

The repaint() method re-initializes the component with new settings, resetting its state and history.

View on GitHub

See Also

resetOption(optionName)

Resets a property to its default value.

Parameters:
optionName:

String

A property's name.

See Also

beginUpdate()
Postpones rendering that can negatively affect performance until the endUpdate() method is called.
The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.
See Also
defaultOptions(rule)
Name | Type | Description |
---|---|---|
device | | |
Device parameters. |
options |
Options to be applied. |
defaultOptions is a static method that the UI component class supports. The following code demonstrates how to specify default properties for all instances of the Chat UI component in an application executed on the desktop.
- <template>
- <div>
- <DxChat id="chat1" />
- <DxChat id="chat2" />
- </div>
- </template>
- <script>
- import DxChat from "devextreme-vue/chat";
- import Chat from "devextreme/ui/chat";
- Chat.defaultOptions({
- device: { deviceType: "desktop" },
- options: {
- // Here go the Chat properties
- }
- });
- export default {
- components: {
- DxChat
- }
- }
- </script>
You can also set rules for multiple device types:
- <template>
- <div>
- <DxChat />
- </div>
- </template>
- <script>
- import DxChat from "devextreme-vue/chat";
- import Chat from "devextreme/ui/chat";
- const devicesConfig = [
- { deviceType: 'desktop' },
- { deviceType: 'tablet' },
- { deviceType: 'phone' },
- ];
- devicesConfig.forEach(deviceConfig => {
- Chat.defaultOptions({
- device: deviceConfig,
- options: {
- // Here go the Chat properties
- }
- });
- });
- export default {
- components: {
- DxChat
- }
- }
- </script>
dispose()
Use conditional rendering instead of this method:
- <template>
- <DxChat ...
- v-if="condition">
- </DxChat>
- </template>
- <script>
- import DxChat from 'devextreme-vue/chat';
- export default {
- components: {
- DxChat
- }
- }
- </script>
endUpdate()
Refreshes the UI component after a call of the beginUpdate() method.
The beginUpdate() and endUpdate() methods reduce the number of renders in cases where extra rendering can negatively affect performance.
See Also
getDataSource()
Gets the DataSource instance.
See Also
getInstance(element)
getInstance is a static method that the UI component class supports. The following code demonstrates how to get the Chat instance found in an element with the myChat
ID:
- // Modular approach
- import Chat from "devextreme/ui/chat";
- ...
- let element = document.getElementById("myChat");
- let instance = Chat.getInstance(element) as Chat;
- // Non-modular approach
- let element = document.getElementById("myChat");
- let instance = DevExpress.ui.dxChat.getInstance(element);
See Also
on(eventName, eventHandler)
Use this method to subscribe to one of the events listed in the Events section.
See Also
on(events)
Use this method to subscribe to several events with one method call. Available events are listed in the Events section.
See Also
registerKeyHandler(key, handler)
A handler. Accepts the keydown event as the argument. It is a EventObject or a jQuery.Event when you use jQuery.
The key argument accepts one of the following values:
- "backspace"
- "tab"
- "enter"
- "escape"
- "pageUp"
- "pageDown"
- "end"
- "home"
- "leftArrow"
- "upArrow"
- "rightArrow"
- "downArrow"
- "del"
- "space"
- "F"
- "A"
- "asterisk"
- "minus"
A custom handler for a key cancels the default handler for this key.
See Also
repaint()
Renders the component again without reloading data. Use the method to update the component's markup and appearance dynamically.
The repaint()
method re-initializes the component with new settings, resetting its state and history.
See Also
- reload() in DataSource | List
- refresh() in DataGrid | TreeList
If you have technical questions, please create a support ticket in the DevExpress Support Center.